%global pkg_name        Compress-Raw-Bzip2
%global pkg_version     2.008
%global rpm_pkg_version 2.008
%global rpm_pkg_release 1.n0i.4

Summary:       Low-Level Interface to bzip2 compression library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PM/PMQS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: bzip2-devel

# fix perl.prov fuckups
%global perl_filter_prov '\\)$'
Provides: perl(Compress::Raw::Bunzip2) = %{pkg_version}
# Provides: perl(Compress::Raw::Bzip2) = %{pkg_version}


%description
Compress::Raw::Bzip2 provides an interface to the in-memory
compression/uncompression functions from the bzip2 compression library.

Although the primary purpose for the existence of Compress::Raw::Bzip2 is for
use by the IO::Compress::Bzip2 and IO::Compress::Bunzip2 modules, it can be
used on its own for simple compression/uncompression tasks.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
export BUILD_BZIP2=0
export BZIP2_LIB=%{_libdir}
export BZIP2_INCLUDE=%{_includedir}
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 2.008-1.n0i.4
- version 2.008
- spec update (new reb00t build tools)
- build against system bzip2 libs

* Sun Sep 02 2007 Marius Feraru <altblue@n0i.net> - 2.006-1.n0i.3
- version 2.006

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 2.005-1.n0i.2
- version 2.005

* Sun May 27 2007 Marius Feraru <altblue@n0i.net> - 2.004-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.14.8
- version 2.004
